---
# ingress configuration values
ingress: true
ingress_config_dir: "{{ k8scluster_config_dir }}ingress/"
ingress_nodeport_http: 30080
ingress_nodeport_https: 30443

# ingress.helm
# https://artifacthub.io/packages/helm/ingress-nginx/ingress-nginx/
ingress_chart_version: "2.12.1"  # ingress_version: controller-v0.34.1
# ingress_chart_version: "3.19.0"  # ingress_version: controller-v0.43.0
ingress_release_name: "v{{ ingress_chart_version |
  regex_replace('\\.', '-') }}"

# ingress.deploy
ingress_version: controller-v0.34.1
# ingress_version: controller-v0.43.0
ingress_templates:
  "deploy.yml": "{{ ingress_version }}/deploy.yml"
